#include <iostream>
#include <cmath>
using namespace std;


void bi(int a[],int x,int k){
    if(x==0)
        return;
    else{
        int y;
        y=(x%2) * pow(2,k);
        a[y]=a[y]+1;
        bi(a,x/2,k+1);
    }
}

int main()
{   int n,m;
    cin>>n>>m;
    if(n==1){ 
        int a[50];
        for(int j=0;j<51;j++)
            a[j]=0;
        int s=0;
        for (int i=0;i<m;i++){
            int x;
            cin>>x;
            bi(a,x,0);
        }
        for(int i=1;i<51;i++){
            if(m-a[i]<a[i])
                a[i]=m-a[i];
            s+=i*a[i];
        }
        cout<<s;
    }
    return 0;
}